Build #1 for hOpenPGP-2.6.1

[all reports]

Package hOpenPGP-2.6.1
Install DependencyFailed hOpenPGP-2.6.1
Docs NotTried
Tests NotTried
Time submitted 2018-04-29 05:34:00.909660541 UTC
Compiler ghc-8.2.2
OS linux
Arch x86_64
Dependencies aeson-1.2.4.0, asn1-encoding-0.9.5, attoparsec-0.13.2.0, base-4.10.1.0, base16-bytestring-0.1.1.6, base64-bytestring-1.0.0.1, bifunctors-5.5.2, binary-0.8.5.1, binary-conduit-1.3, bytestring-0.10.8.2, bzlib-0.5.0.5, conduit-1.3.0.2, conduit-extra-1.3.0, containers-0.5.10.2, crypto-cipher-types-0.0.9, cryptonite-0.25, data-default-class-0.1.2.0, errors-2.2.5, hashable-1.2.6.1, incremental-parser-0.2.5.4, ixset-typed-0.4, lens-4.16.1, memory-0.14.16, monad-loops-0.4.3, nettle-0.2.0, network-uri-2.6.1.0, newtype-0.2, openpgp-asciiarmor-0.1.1, resourcet-1.2.1, semigroups-0.18.4, split-0.2.3.2, text-1.2.2.2, time-1.8.0.2, time-locale-compat-0.1.1.4, transformers-0.5.2.0, unliftio-core-0.1.1.0, unordered-containers-0.2.8.0, wl-pprint-extras-3.5.0.5, zlib-0.6.1.2
Flags network-uri

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
Configuring base-orphans-0.7...
Configuring base-compat-0.9.3...
Building base-orphans-0.7...
Building base-compat-0.9.3...
Installed base-orphans-0.7
Configuring base16-bytestring-0.1.1.6...
Building base16-bytestring-0.1.1.6...
Installed base-compat-0.9.3
Configuring base64-bytestring-1.0.0.1...
Building base64-bytestring-1.0.0.1...
Installed base16-bytestring-0.1.1.6
Configuring basement-0.0.7...
Building basement-0.0.7...
Installed base64-bytestring-1.0.0.1
Configuring byteable-0.1.1...
Building byteable-0.1.1...
Installed byteable-0.1.1
Configuring bzlib-0.5.0.5...
Building bzlib-0.5.0.5...
Installed bzlib-0.5.0.5
Configuring cabal-doctest-1.0.6...
Building cabal-doctest-1.0.6...
Installed cabal-doctest-1.0.6
Configuring cereal-0.5.5.0...
Building cereal-0.5.5.0...
Installed cereal-0.5.5.0
Configuring data-default-class-0.1.2.0...
Building data-default-class-0.1.2.0...
Installed data-default-class-0.1.2.0
Configuring dlist-0.8.0.4...
Building dlist-0.8.0.4...
Installed dlist-0.8.0.4
Configuring fail-4.9.0.0...
Building fail-4.9.0.0...
Installed fail-4.9.0.0
Configuring hourglass-0.2.11...
Building hourglass-0.2.11...
Installed hourglass-0.2.11
Configuring monad-loops-0.4.3...
Building monad-loops-0.4.3...
Installed monad-loops-0.4.3
Configuring nats-1.1.2...
Building nats-1.1.2...
Installed nats-1.1.2
Configuring newtype-0.2...
Building newtype-0.2...
Installed basement-0.0.7
Configuring old-locale-1.0.0.7...
Installed newtype-0.2
Configuring primes-0.2.1.0...
Building old-locale-1.0.0.7...
Building primes-0.2.1.0...
Installed old-locale-1.0.0.7
Configuring reflection-2.1.3...
Installed primes-0.2.1.0
Configuring safe-0.3.17...
Building reflection-2.1.3...
Building safe-0.3.17...
Installed safe-0.3.17
Configuring semigroups-0.18.4...
Building semigroups-0.18.4...
Installed reflection-2.1.3
Configuring streaming-commons-0.2.0.0...
Building streaming-commons-0.2.0.0...
Installed semigroups-0.18.4
Configuring th-abstraction-0.2.6.0...
Building th-abstraction-0.2.6.0...
Installed th-abstraction-0.2.6.0
Configuring time-locale-compat-0.1.1.4...
Building time-locale-compat-0.1.1.4...
Installed time-locale-compat-0.1.1.4
Configuring transformers-compat-0.6.1.5...
Installed streaming-commons-0.2.0.0
Configuring typed-process-0.2.2.0...
Building transformers-compat-0.6.1.5...
Building typed-process-0.2.2.0...
Installed typed-process-0.2.2.0
Configuring unexceptionalio-0.3.0...
Building unexceptionalio-0.3.0...
Installed transformers-compat-0.6.1.5
Configuring unliftio-core-0.1.1.0...
Building unliftio-core-0.1.1.0...
Installed unexceptionalio-0.3.0
Configuring utf8-string-1.0.1.1...
Building utf8-string-1.0.1.1...
Installed unliftio-core-0.1.1.0
Configuring uuid-types-1.0.3...
Building uuid-types-1.0.3...
Installed utf8-string-1.0.1.1
Configuring vector-algorithms-0.7.0.1...
Installed uuid-types-1.0.3
Configuring void-0.7.2...
Building vector-algorithms-0.7.0.1...
Building void-0.7.2...
Installed void-0.7.2
Configuring openpgp-asciiarmor-0.1.1...
Building openpgp-asciiarmor-0.1.1...
Installed openpgp-asciiarmor-0.1.1
Configuring foundation-0.0.20...
Building foundation-0.0.20...
Installed vector-algorithms-0.7.0.1
Configuring old-time-1.1.0.3...
Building old-time-1.1.0.3...
Installed old-time-1.1.0.3
Configuring monoid-subclasses-0.4.6...
Building monoid-subclasses-0.4.6...
Installed monoid-subclasses-0.4.6
Configuring transformers-base-0.4.5.2...
Building transformers-base-0.4.5.2...
Installed transformers-base-0.4.5.2
Configuring tagged-0.8.5...
Building tagged-0.8.5...
Installed tagged-0.8.5
Configuring exceptions-0.10.0...
Building exceptions-0.10.0...
Installed foundation-0.0.20
Configuring contravariant-1.4.1...
Building contravariant-1.4.1...
Installed exceptions-0.10.0
Configuring mono-traversable-1.0.8.1...
Building mono-traversable-1.0.8.1...
Installed contravariant-1.4.1
Configuring safecopy-0.9.4.1...
Building safecopy-0.9.4.1...
Installed safecopy-0.9.4.1
Downloading incremental-parser-0.2.5.4...
Configuring incremental-parser-0.2.5.4...
Building incremental-parser-0.2.5.4...
Installed incremental-parser-0.2.5.4
Configuring distributive-0.5.3...
Installed mono-traversable-1.0.8.1
Configuring aeson-1.2.4.0...
Building aeson-1.2.4.0...
Building distributive-0.5.3...
Installed distributive-0.5.3
Configuring memory-0.14.16...
Building memory-0.14.16...
Installed memory-0.14.16
Configuring resourcet-1.2.1...
Building resourcet-1.2.1...
Installed resourcet-1.2.1
Configuring errors-2.2.5...
Building errors-2.2.5...
Installed errors-2.2.5
Configuring ixset-typed-0.4...
Building ixset-typed-0.4...
Installed aeson-1.2.4.0
Configuring comonad-5.0.3...
Installed ixset-typed-0.4
Configuring securemem-0.1.10...
Building securemem-0.1.10...
Building comonad-5.0.3...
Installed securemem-0.1.10
Configuring cryptonite-0.25...
Building cryptonite-0.25...
Installed comonad-5.0.3
Configuring asn1-types-0.3.2...
Building asn1-types-0.3.2...
Installed asn1-types-0.3.2
Configuring conduit-1.3.0.2...
Building conduit-1.3.0.2...
Installed conduit-1.3.0.2
Configuring crypto-cipher-types-0.0.9...
Building crypto-cipher-types-0.0.9...
Installed crypto-cipher-types-0.0.9
Configuring bifunctors-5.5.2...
Building bifunctors-5.5.2...
Installed bifunctors-5.5.2
Configuring asn1-encoding-0.9.5...
Building asn1-encoding-0.9.5...
Installed asn1-encoding-0.9.5
Configuring conduit-extra-1.3.0...
Building conduit-extra-1.3.0...
Installed conduit-extra-1.3.0
Configuring binary-conduit-1.3...
Building binary-conduit-1.3...
Installed binary-conduit-1.3
Configuring nettle-0.2.0...
Failed to install nettle-0.2.0
Build log ( /home/builder/.cabal/logs/ghc-8.2.2/nettle-0.2.0-8sO1g7NVum7Awics7Ejyk8.log ):
cabal: Entering directory '/tmp/cabal-tmp-6091/nettle-0.2.0'
Configuring nettle-0.2.0...
cabal: Missing dependency on a foreign library:
* Missing (or bad) C library: nettle
This problem can usually be solved by installing the system package that
provides this library (you may need the "-dev" version). If the library is
already installed but in a non-standard location then you can use the flags
--extra-include-dirs= and --extra-lib-dirs= to specify where it is.If the
library file does exist, it may contain errors that are caught by the C
compiler at the preprocessing stage. In this case you can re-run configure
with the verbosity flag -v3 to see the error messages.

cabal: Leaving directory '/tmp/cabal-tmp-6091/nettle-0.2.0'
Configuring semigroupoids-5.2.2...
Installed cryptonite-0.25
Building semigroupoids-5.2.2...
Installed semigroupoids-5.2.2
cabal: Error: some packages failed to install:
hOpenPGP-2.6.1-1iYHZE8tt308HhOHCwjgiI depends on hOpenPGP-2.6.1 which failed
to install.
nettle-0.2.0-8sO1g7NVum7Awics7Ejyk8 failed during the configure step. The
exception was:
ExitFailure 1